Bug 3188 - Не работает hwclock --localtime
: Не работает hwclock --localtime
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hwclock)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-10-21 02:04 by
Modified: 2006-03-24 12:21 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-21 02:04:44
Недавно поставил параллельно ALTLinux Sisyphus WinXP. Чтобы
согласовать время в обеих операционках выставил в BIOS время
не GMT а Московское. В /etc/sysconfig/clock поставил UTC=false
после этого при загрузке Linux часы все равно выставляются так,
как будто задан параметр UTC=true (т.е. на +3(4) часа вперед).

Запуск программы hwclock с параметрами --utc или --localtime
дает одно и тоже время (вреде бы для Москвы это времена должны
различаться).
------- Comment #1 From 2003-10-27 14:42:48 -------
1. /sbin/hwclock --version ? 
2. С /etc/localtime всё в порядке? 
------- Comment #2 From 2003-10-28 01:04:14 -------
[syatskevich]-> /sbin/hwclock --version
hwclock 2.22

Завтра поставлю новую версию (2.23) и проверю опять.

А что может быть не в порядке с /etc/localtime. Дело в том, что этот файл у меня
тянется уже несколько лет с первой установки системы. До некоторого времени все
прекрасно работало, однако начиная с некоторого (к сожалению я не сразу обратил
внимание с какого) момента вдруг "сломалось".
------- Comment #3 From 2003-10-28 01:49:19 -------
Поставил на сервере hwclock 2.23. Сделал /etc/localtime симлинком на
/usr/share/zoneinfo/Europe/Moscow. Все равно тот же эффект, hwclock --utc и
hwclock --localtime показывают одно и тоже время. Вот еще мой /etc/adjtime:
0 0 0.000000
0
UTC 1900
0.000000
------- Comment #4 From 2003-10-28 15:14:40 -------
Файл /etc/localtime должен существовать и при этом не быть symlink'ом (/usr
может не 
быть смонтирован в момент использования /etc/localtime). 
------- Comment #5 From 2003-10-28 15:28:54 -------
Excerpt from hwclock(8): 
 
--show 
Read the Hardware Clock and print the time on Standard Output. 
The time is always in local time, even if you keep your Hardware 
Clock in Coordinated Universal Time. 
------- Comment #6 From 2003-10-29 20:59:11 -------
Хорошо, тогда почему один и тот же результат дают команды установки системного
времени:

hwclock --hctosys --localtime; date
hwclock --hctosys --utc; date

хотя по логике, для Москвы, если HardwareClock не меняется, эти два вызова
должны устанавливать разное системное время (во втором случае должно быть
на 3 часа больше).

Если очистить файл /etc/adjtime (как по умолчанию при установке пакета
hwclock 2.23), то при загрузке системное время выставляется так, как мне
надо (т.е. считается что HardwareClock считает локальное время).
Однако если при этом установить в /etc/sysconfig/clock: UTC=true, то время
начинает устанавливаться неверно (все равно как будто считается, что HC
считает локальное время).

-----------------
P.S. симлинк я сделал просто для того, чтобы точно гарантировать, что
/etc/localtime содержит правильную временную зону (у меня /usr находится
в корневом разделе).
------- Comment #7 From 2004-06-02 19:57:38 -------
Fixed in hwclock-2.23-alt3.